Main Page Class List Class Members

# Nv::Blast::IndexDList< IndexType > Class Template Reference

`#include <NvBlastDLink.h>`

List of all members.

## Public Member Functions
IndexType | getAdj (IndexDLink< IndexType > *links, IndexType linkIndex, int which)
void | initLinksChain (IndexDLink< IndexType > *links, IndexType linkCount)
void | initLinksSolitary (IndexDLink< IndexType > *links, IndexType linkCount)
void | insertListHead (IndexType &listHead, IndexDLink< IndexType > *links, IndexType linkIndex)
bool | isSolitary (IndexDLink< IndexType > *links, IndexType linkIndex)
void | remove (IndexDLink< IndexType > *links, IndexType linkIndex)
void | removeFromList (IndexType &listHead, IndexDLink< IndexType > *links, IndexType linkIndex)
IndexType | removeListHead (IndexType &listHead, IndexDLink< IndexType > *links)

### template<typename IndexType>
class Nv::Blast::IndexDList< IndexType >

## Member Function Documentation

template<typename IndexType >

IndexType Nv::Blast::IndexDList< IndexType >::getAdj | ( | IndexDLink< IndexType > * | links,
|  | IndexType | linkIndex,
|  | int | which |
| ) |  |  | `[inline]`

template<typename IndexType >

void Nv::Blast::IndexDList< IndexType >::initLinksChain | ( | IndexDLink< IndexType > * | links,
|  | IndexType | linkCount |
| ) |  |  | `[inline]`

template<typename IndexType >

void Nv::Blast::IndexDList< IndexType >::initLinksSolitary | ( | IndexDLink< IndexType > * | links,
|  | IndexType | linkCount |
| ) |  |  | `[inline]`

template<typename IndexType >

void Nv::Blast::IndexDList< IndexType >::insertListHead | ( | IndexType & | listHead,
|  | IndexDLink< IndexType > * | links,
|  | IndexType | linkIndex |
| ) |  |  | `[inline]`

template<typename IndexType >

bool Nv::Blast::IndexDList< IndexType >::isSolitary | ( | IndexDLink< IndexType > * | links,
|  | IndexType | linkIndex |
| ) |  |  | `[inline]`

template<typename IndexType >

void Nv::Blast::IndexDList< IndexType >::remove | ( | IndexDLink< IndexType > * | links,
|  | IndexType | linkIndex |
| ) |  |  | `[inline]`

template<typename IndexType >

void Nv::Blast::IndexDList< IndexType >::removeFromList | ( | IndexType & | listHead,
|  | IndexDLink< IndexType > * | links,
|  | IndexType | linkIndex |
| ) |  |  | `[inline]`

template<typename IndexType >

IndexType Nv::Blast::IndexDList< IndexType >::removeListHead | ( | IndexType & | listHead,
|  | IndexDLink< IndexType > * | links |
| ) |  |  | `[inline]`

The documentation for this class was generated from the following file:

- sdk/common/NvBlastDLink.h